## libksysguard 5.19.5

=== debian/changelog ===
libksysguard (4:5.19.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Sep 2020 12:54:21 +0100

libksysguard (4:5.19.4-0ubuntu2) groovy; urgency=medium

  * Disable acc test.

 -- Rik Mills <rikmills@kde.org>  Tue, 11 Aug 2020 18:45:24 +0100

libksysguard (4:5.19.4-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 28 Jul 2020 20:42:42 +0100

libksysguard (4:5.19.3-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.19.3)

 -- Rik Mills <rikmills@kde.org>  Tue, 07 Jul 2020 13:59:50 +0100

libksysguard (4:5.19.2-0ubuntu2) groovy; urgency=medium

  * Add qtdeclarative5-dev to libkf5sysguard-dev Depends, fixes acc
    autopkgtest

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 28 Jun 2020 19:28:38 +0100

libksysguard (4:5.19.2-0ubuntu1) groovy; urgency=medium

  [ Rik Mills ]
  * Rename library packages according to upstream SONAME bumps:
    - libksgrd7 -> libksgrd9
    - libksignalplotter7 -> libksignalplotter9
    - liblsofui7 -> liblsofui9
    - libprocesscore7 -> libprocesscore9
    - libprocessui7 -> libprocessui9
  * New library packages:
    - libksysguardformatter1
    - libksysguardsensorfaces1
    - libksysguardsensors1
  * New qml module package qml-module-org-kde-ksysguard
  * Add upstream_replace-mapproxysource.patch to fix beta without
    kquickcharts 5.71
  * New upstream release (5.19.0)
  * New upstream release (5.19.1)
  * New upstream release (5.19.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Jun 2020 13:46:06 +0100

libksysguard (4:5.18.5-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.18.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 May 2020 23:40:49 +0100
