=== debian/control ===
Source: libksysguard
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.70.0~),
               libkf5auth-dev (>= 5.70.0~),
               libkf5completion-dev (>= 5.70.0~),
               libkf5config-dev (>= 5.70.0~),
               libkf5configwidgets-dev (>= 5.70.0~),
               libkf5coreaddons-dev (>= 5.70.0~),
               libkf5declarative-dev (>= 5.70.0~),
               libkf5globalaccel-dev (>= 5.70.0~),
               libkf5i18n-dev (>= 5.70.0~),
               libkf5iconthemes-dev (>= 5.70.0~),
               libkf5kio-dev (>= 5.70.0~),
               libkf5newstuff-dev (>= 5.70.0~),
               libkf5plasma-dev (>= 5.70.0~),
               libkf5service-dev (>= 5.70.0~),
               libkf5widgetsaddons-dev (>= 5.70.0~),
               libkf5windowsystem-dev (>= 5.70.0~),
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5x11extras5-dev (>= 5.6.1~),
               libx11-dev,
               libz-dev,
               pkg-kde-tools (>= 0.15.18~),
               qtbase5-dev (>= 5.6.1~),
               qtscript5-dev (>= 5.6.1~),
               qtwebengine5-dev [amd64 arm64 armhf i386],
               xauth,
               xvfb,
               zlib1g-dev,
Standards-Version: 4.1.4
Homepage: https://projects.kde.org/projects/kde/workspace/libksysguard
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard

Package: libkf5sysguard-bin
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libkf5sysguard5 (<< 4:5.4.2)
Replaces: libkf5sysguard5 (<< 4:5.4.2)
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libkf5sysguard-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ksysguard (<< 4:5.0.0),
        libkf5sysguard-bin (<< 4:5.0.95),
        libkf5sysguard5-data (<< 4:5.2.0),
        plasma-workspace (<< 4:5.19.0~),
        ${kde-l10n:all},
Replaces: ksysguard (<< 4:5.0.0),
          libkf5sysguard-bin (<< 4:5.0.95),
          libkf5sysguard5-data (<< 4:5.2.0),
          plasma-workspace (<< 4:5.19.0~),
          ${kde-l10n:all},
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the data files

Package: libkf5sysguard-dev
Section: libdevel
Architecture: any
Depends: libkf5config-dev (>= 5.70.0~),
         libkf5i18n-dev (>= 5.70.0~),
         libkf5sysguard-bin (= ${binary:Version}),
         libksgrd9 (= ${binary:Version}),
         libksignalplotter9 (= ${binary:Version}),
         libksysguardsensorfaces1 (= ${binary:Version}),
         libksysguardsensors1 (= ${binary:Version}),
         liblsofui9 (= ${binary:Version}),
         libprocesscore9 (= ${binary:Version}),
         libprocessui9 (= ${binary:Version}),
         qtbase5-dev (>= 5.6.1~),
         qtdeclarative5-dev,
         ${misc:Depends},
Breaks: kde-workspace-dev
Replaces: kde-workspace-dev
Conflicts: kde-workspace-dev
Description: library for monitoring your system - development files
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the files necessary for development.

Package: libkf5sysguard5
Priority: optional
Section: oldlibs
Architecture: all
Depends: libkf5sysguard-bin (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libkf5sysguard5-data
Section: oldlibs
Priority: optional
Architecture: all
Depends: libkf5sysguard-data (>= ${source:Version}), ${misc:Depends}
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: libksgrd9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libksgrd7, libksgrd8
Replaces: libksgrd7, libksgrd8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksignalplotter9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-bin (= ${binary:Version}),
         libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libksignalplotter7, libksignalplotter8
Replaces: libksignalplotter7, libksignalplotter8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libksysguardformatter1
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - formatter shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the formatter shared library

Package: libksysguardsensorfaces1
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - sensor faces shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the sensor faces shared library

Package: libksysguardsensors1
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: library for monitoring your system - sensors shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the sensors shared library

Package: liblsofui9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: liblsofui7, liblsofui8
Replaces: liblsofui7, liblsofui8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocesscore9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libprocesscore7, libprocesscore8
Replaces: libprocesscore7, libprocesscore8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: libprocessui9
Architecture: any
Multi-Arch: same
Depends: libkf5sysguard-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libprocessui7, libprocessui8
Replaces: libprocessui7, libprocessui8
Description: library for monitoring your system - shared library
 KSysGuard is a program to monitor various elements of your system, or any
 other remote system with the KSysGuard daemon (ksysgardd) installed.
 .
 This package contains the shared library

Package: qml-module-org-kde-ksysguard
Architecture: any
Multi-arch: same
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-quickcharts,
         qml-module-qtquick-layouts,
         qml-module-qtquick2,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KSysGuard QtDeclarative QML Support
 Contains a plugin for QtDeclarative that provides
 support for using KSysGuard components written
 in QML.
