=== debian/changelog ===
libksysguard (4:5.20.5-1) unstable; urgency=medium

  * New upstream release (5.20.5).
  * Update lintian overrides.

 -- Norbert Preining <norbert@preining.info>  Wed, 06 Jan 2021 23:50:52 +0900

libksysguard (4:5.20.4-2) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Tue, 22 Dec 2020 11:04:37 +0900

libksysguard (4:5.20.4-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (5.20.4).
  * Update build-deps with the info from cmake.
  * Update list of installed files.
  * Update symbols.

 -- Norbert Preining <norbert@preining.info>  Wed, 09 Dec 2020 14:17:32 +0900

libksysguard (4:5.19.5-4) unstable; urgency=medium

  * Team upload.
  * Add the qtdeclarative5-dev dependency to libkf5sysguard-dev, as it provides
    Qt headers included in public libksysguard headers.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

 -- Pino Toscano <pino@debian.org>  Wed, 11 Nov 2020 01:30:35 +0100

libksysguard (4:5.19.5-3) unstable; urgency=medium

  * Release to unstable.

 -- Norbert Preining <norbert@preining.info>  Fri, 06 Nov 2020 08:37:23 +0900

libksysguard (4:5.19.5-2) experimental; urgency=medium

  * Rebuild for Qt 5.15

 -- Norbert Preining <norbert@preining.info>  Mon, 02 Nov 2020 09:27:41 +0900

libksysguard (4:5.19.5-1) experimental; urgency=medium

  [ Scarlett Moore ]
  * New upstream release (5.19.5).

  [ Norbert Preining ]
  * Add Patrick and myself to uploaders.

 -- Norbert Preining <norbert@preining.info>  Mon, 19 Oct 2020 13:51:19 +0900

libksysguard (4:5.19.4-2) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Update acc.in with new libs.
    - Bump version to old-stable.
    - Fix paths for all the headers/libs.
    - Condense changelog to one entry.
    - Update acc test to copy logs for debugging.
  * Add missing epoch to new packages symbols files.
  * Move runtime dependencies to the -bin package that
    actually needs them.

 -- Sandro Knauß <hefee@debian.org>  Thu, 08 Oct 2020 21:05:29 +0200

libksysguard (4:5.19.4-1) experimental; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Bump compat level to 13.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.18.5).
  * Update build-deps and deps with the info from cmake.
  * Remove umused build dependencies.
  * Delete not needed Breaks/Confilcts.
  * Add myself to Uploaders.
  * Remove not needed injection of linker flags.
  * Update Homepage link to point to new invent.kde.org
  * Update field Source in debian/copyright to invent.kde.org move.
  * Set/Update field Upstream-Contact in debian/copyright.

  [ Norbert Preining ]
  * New upstream release (5.19.4).
  * Remove Maximiliano from Uploaders as requested on IRC.
  * Change maintainer in d/control to Debian Qt/KDE Maintainers.
  * Update build-deps according to info from cmake.
    - bump KF versions to 5.66.
    - bump Qt versions to 5.14.
    - add libkf5declarative-dev, libkf5newstuff-dev, libkf5package-dev to B-D.
  * Add xauth and xvfb to build-deps for autotests.
  * Rename private lib packages according to ABI bump.
  * Add new packages.
    . libksysguardformatter1
    . libksysguardsensorfaces1
    . libksysguardsensors1
    . qml-module-org-kde-ksysguard
  * Update list of installed files.
  * Update symbols of new packages.
  * Add symbols files for the new libraries.
  * Add new libraries to abi compliance checker list.
  * Add Build-Depends-Package info to symbols files.
  * Enable hardening for build.
  * Update upstream metadata.
  * Install scripts README to doc directory.
  * Rewrite/rephrase the short description and make them unique.

 -- Pino Toscano <pino@debian.org>  Sat, 29 Aug 2020 22:53:14 +0200
