## libksysguard 5.21.4

=== debian/changelog ===
libksysguard (4:5.21.4-0ubuntu1) hirsute; urgency=medium

  * New upstream bugfix and translation release (5.21.4)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 Apr 2021 11:10:03 +0100

libksysguard (4:5.21.3.1-0ubuntu2) hirsute; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Mar 2021 02:42:47 +0000

libksysguard (4:5.21.3.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.3.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 16 Mar 2021 20:34:10 +0000

libksysguard (4:5.21.2-0ubuntu2) hirsute; urgency=medium

  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 23:57:59 +0000

libksysguard (4:5.21.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.2)

 -- Rik Mills <rikmills@kde.org>  Tue, 02 Mar 2021 14:12:59 +0000

libksysguard (4:5.21.1-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.1)

 -- Rik Mills <rikmills@kde.org>  Tue, 23 Feb 2021 15:06:32 +0000

libksysguard (4:5.21.0-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.21.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 17 Feb 2021 14:22:13 +0000

libksysguard (4:5.20.90-0ubuntu1) hirsute; urgency=medium

  * New upstream (beta) release (5.20.90)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kde.org>  Thu, 21 Jan 2021 23:45:16 +0000

libksysguard (4:5.20.5-1ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubunbtu Vcs fields.
    - libkf5sysguard-data Breaks/Replaces plasma-workspace (<< 4:5.19.0~)
    - libprocessui9: Mark 3 symbols optional for ppc64el and s390x,
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Jan 2021 15:24:03 +0000

libksysguard (4:5.20.5-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.5)

 -- Rik Mills <rikmills@kde.org>  Tue, 05 Jan 2021 15:04:49 +0000

libksysguard (4:5.20.4-2ubuntu1) hirsute; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubunbtu Vcs fields.
    - libkf5sysguard-data Breaks/Replaces plasma-workspace (<< 4:5.19.0~)
    - libprocessui9: Mark 3 symbols optional for ppc64el and s390x,
    - Disable tests.

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Dec 2020 22:51:16 +0000

libksysguard (4:5.20.4-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.4)

 -- Rik Mills <rikmills@kde.org>  Tue, 01 Dec 2020 18:50:04 +0000

libksysguard (4:5.20.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (5.20.0)
  * New build depend on qttools5-dev for QtUIPlugin.
  * Update symbols from build logs.
  * New upstream release (5.20.1)
  * New upstream release (5.20.2)
  * New upstream release (5.20.3)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 Nov 2020 08:53:41 +0000
