=== debian/control ===
--- 
+++ 
@@ -39,19 +39,19 @@
                zlib1g-dev,
 Standards-Version: 4.5.0
 Homepage: https://invent.kde.org/plasma/libksysguard
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/libksysguard
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/libksysguard.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libksysguard
 Rules-Requires-Root: no
 
 Package: libkf5sysguard-bin
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
+         libksgrd9 (= ${binary:Version}),
+         libksysguardformatter1 (= ${binary:Version}),
          libksysguardsensorfaces1 (= ${binary:Version}),
-         libksysguardformatter1 (= ${binary:Version}),
-         libksgrd9 (= ${binary:Version}),
+         libksysguardsensors1 (= ${binary:Version}),
+         libprocesscore9 (= ${binary:Version}),
          libprocessui9 (= ${binary:Version}),
-         libprocesscore9 (= ${binary:Version}),
-         libksysguardsensors1 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
 Description: library for system monitoring - utilities
@@ -64,6 +64,8 @@
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}
+Breaks: plasma-workspace (<< 4:5.19.0~)
+Replaces: plasma-workspace (<< 4:5.19.0~)
 Description: library for system monitoring - data files
  KSysGuard is a program to monitor various elements of your system, or any
  other remote system with the KSysGuard daemon (ksysgardd) installed.
@@ -111,6 +113,39 @@
  .
  This package contains the shared library libksignalplotter.
 
+Package: libksysguardformatter1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardformatter shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardformatter.
+
+Package: libksysguardsensorfaces1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardsensorfaces shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardsensorfaces.
+
+Package: libksysguardsensors1
+Architecture: any
+Depends: libkf5sysguard-data (= ${source:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: library for system monitoring - ksysguardsensors shared library
+ KSysGuard is a program to monitor various elements of your system, or any
+ other remote system with the KSysGuard daemon (ksysgardd) installed.
+ .
+ This package contains the shared library libksysguardsensors.
+
 Package: liblsofui9
 Architecture: any
 Depends: libkf5sysguard-data (= ${source:Version}),
@@ -144,39 +179,6 @@
  .
  This package contains the shared library libprocessui.
 
-Package: libksysguardformatter1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for system monitoring - ksysguardformatter shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardformatter.
-
-Package: libksysguardsensors1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for system monitoring - ksysguardsensors shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardsensors.
-
-Package: libksysguardsensorfaces1
-Architecture: any
-Depends: libkf5sysguard-data (= ${source:Version}),
-         ${misc:Depends},
-         ${shlibs:Depends}
-Description: library for system monitoring - ksysguardsensorfaces shared library
- KSysGuard is a program to monitor various elements of your system, or any
- other remote system with the KSysGuard daemon (ksysgardd) installed.
- .
- This package contains the shared library libksysguardsensorfaces.
-
 Package: qml-module-org-kde-ksysguard
 Architecture: any
 Depends: qml-module-org-kde-kirigami2,
@@ -184,7 +186,7 @@
          qml-module-qtquick-layouts,
          qml-module-qtquick2,
          ${misc:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
 Description: KSysGuard QtDeclarative QML Support
  Contains a plugin for QtDeclarative that provides
  support for using KSysGuard components written
